=== debian/control ===
Source: ros-bouncy-ecl-ipc
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-ament-cmake-gtest, ros-bouncy-ament-cmake-ros, ros-bouncy-ament-lint-auto, ros-bouncy-ament-lint-common, ros-bouncy-ecl-build, ros-bouncy-ecl-config, ros-bouncy-ecl-errors, ros-bouncy-ecl-exceptions, ros-bouncy-ecl-license, ros-bouncy-ecl-threads, ros-bouncy-ecl-time, ros-bouncy-ecl-time-lite, ros-bouncy-ros-workspace
Homepage: http://wiki.ros.org/ecl_ipc
Standards-Version: 3.9.2

Package: ros-bouncy-ecl-ipc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-ecl-build, ros-bouncy-ecl-config, ros-bouncy-ecl-errors, ros-bouncy-ecl-exceptions, ros-bouncy-ecl-license, ros-bouncy-ecl-threads, ros-bouncy-ecl-time, ros-bouncy-ecl-time-lite, ros-bouncy-ros-workspace
Description: Interprocess mechanisms vary greatly across platforms - sysv, posix, win32, there are more than a few.
 This package provides an infrastructure to allow for developing cross platform c++ wrappers around the lower level c api's that handle these mechanisms. These make it not only easier to utilise such mechanisms, but allow it to be done consistently across platforms.
